Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.platform
Class AblePlatformPreferences.TrustLevelEntry_

    java.lang.Object
      com.ibm.able.platform.AblePlatformPreferences.TrustLevelEntry_

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  AblePlatformPreferences

public final class AblePlatformPreferences.TrustLevelEntry_
extends java.lang.Object
implements java.io.Serializable

This class encapsulates the definition of a single TrustLevel as found in a platform preference file. When used in a keyed collection, the TrustLevel's alias is used as the key.

See Also:
  Serialized Form

Constructor Summary
`AblePlatformPreferences.TrustLevelEntry_(AblePlatformPreferences.TrustLevelEntry_ theTrustLevelEntry)`
`AblePlatformPreferences.TrustLevelEntry_(java.lang.String theTrustLevelAlias, int theTrustLevelRank, java.util.Vector thePrincipalAliases)`

Method Summary
`java.lang.String` | `getPrincipal(java.lang.String thePrincipalAlias)`
`java.util.Vector` | `getPrincipalAliases()`
`java.lang.String` | `getTrustLevelAlias()`
`int` | `getTrustLevelRank()`
`java.lang.String` | `prettyPrint()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AblePlatformPreferences.TrustLevelEntry_

    public AblePlatformPreferences.TrustLevelEntry_(java.lang.String theTrustLevelAlias,
                                                    int theTrustLevelRank,
                                                    java.util.Vector thePrincipalAliases)

### AblePlatformPreferences.TrustLevelEntry_

    public AblePlatformPreferences.TrustLevelEntry_(AblePlatformPreferences.TrustLevelEntry_ theTrustLevelEntry)

Method Detail

### getTrustLevelAlias

    public java.lang.String getTrustLevelAlias()

### getTrustLevelRank

    public int getTrustLevelRank()

### getPrincipalAliases

    public java.util.Vector getPrincipalAliases()

### getPrincipal

    public java.lang.String getPrincipal(java.lang.String thePrincipalAlias)

### prettyPrint

    public java.lang.String prettyPrint()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005